# ipe::Gradient Struct Reference
Ipe Attributes

A gradient pattern. More...

`#include <ipeattributes.h>`

List of all members.

## Classes

- struct Stop
    A color stop. More...

## Public Types

- enum TType { EAxial = 2, ERadial = 3 }

## Public Attributes

- TType iType
- Vector iV [2]
- double iRadius [2]
- bool iExtend
- Matrix iMatrix
- std::vector< Stop > iStops

## Detailed Description

A gradient pattern.

## Member Enumeration Documentation

enum ipe::Gradient::TType

There are two types of gradients, along an axis or between two circles.

Enumerator:

  EAxial |
  ERadial |

## Member Data Documentation

TType ipe::Gradient::iType

The type of gradient: axial or radial.

Vector ipe::Gradient::iV[2]

The coordinates of the axis endpoints, or the two circle centers.

double ipe::Gradient::iRadius[2]

The radii of the two circles (not used for axial gradients).

bool ipe::Gradient::iExtend

Whether to extend the gradient beyond the endpoints.

Matrix ipe::Gradient::iMatrix

Gradient transformation.

std::vector<Stop> ipe::Gradient::iStops

The color stops.

The documentation for this struct was generated from the following file:

- ipeattributes.h